Commit 4bb06a2a authored by Alexandre Friquet's avatar Alexandre Friquet
Browse files

Upgrades to rails 5.0.6 (make the app boot): refs #23.

parent 6d6d7f97
......@@ -5,6 +5,6 @@ log/*.log
tmp/
public/system
.DS_Store
vendor/bundle
vendor/bundle*
coverage
.env
......@@ -22,7 +22,7 @@
#
source 'https://rubygems.org'
gem 'rails', '4.2.9'
gem 'rails', '5.0.6'
gem 'sass-rails'
gem 'uglifier'
gem 'coffee-rails'
......@@ -41,27 +41,27 @@ gem 'delayed_job_active_record'
gem 'daemons'
gem 'rdoc'
gem 'fullcalendar-rails'
gem 'formatize', git: "https://github.com/januszm/formatize.git", ref: "0f2f138bc3069dd7a80e05d9bf28d98cc69f411d"
gem 'momentjs-rails'
gem 'formatize', git: 'https://github.com/infoPiiaf/formatize.git'
gem 'simple_form'
gem "nested_form"
gem 'geocoder'
gem 'gmaps4rails'
gem 'gretel'
gem 'gretel-trails', git: 'git@github.com:infoPiiaf/gretel-trails.git'
gem 'gretel-trails', git: 'https://github.com/infoPiiaf/gretel-trails.git'
gem 'piwik_analytics', git: 'https://git.framasoft.org/infopiiaf/piwik_analytics.git'
gem 'jquery-ui-rails'
gem 'compass-rails', '~> 2.0.0'
gem 'compass-rails'
gem 'susy'
#gem 'turbo-sprockets-rails3'
gem 'zeroclipboard-rails'
gem 'fitvidsjs_rails'
gem 'font-awesome-rails'
gem 'jquery-colorpicker-rails'
#gem 'jquery-colorpicker-rails'
gem 'prettyphoto-rails'
group :development, :test do
gem "sqlite3"
gem 'rspec-rails', '~> 3.5.0'
gem 'rspec-rails'
gem 'pry-rails'
end
......@@ -73,7 +73,7 @@ group :test do
gem 'capybara'
gem 'launchy'
gem 'factory_girl_rails'
gem 'shoulda-matchers'
gem 'shoulda-matchers', git: 'https://github.com/thoughtbot/shoulda-matchers.git', branch: 'rails-5'
gem 'test-unit', '~> 3.0' # For shoulda-matchers with ruby 2.3+
gem 'database_cleaner'
gem 'capybara-webkit'
......@@ -85,5 +85,5 @@ group :development do
#gem 'mailcatcher'
gem 'brakeman'
gem 'puma'
gem 'web-console', '~> 2.0'
gem 'web-console'
end
GIT
remote: git@github.com:infoPiiaf/gretel-trails.git
revision: 462404527fe31710c5676a774d80246fa142c1ba
specs:
gretel-trails (0.0.5)
gretel (>= 3.0)
rails (>= 3.2.0)
GIT
remote: https://git.framasoft.org/infopiiaf/piwik_analytics.git
revision: 32b108ede107f35f1338f932d0ff6e7452409cb6
revision: 9fed6d03734fad27ea513e5f1e57d2771d9cbdf6
specs:
piwik_analytics (1.0.5)
actionpack
......@@ -16,75 +8,83 @@ GIT
rails (>= 3.0.0)
GIT
remote: https://github.com/januszm/formatize.git
revision: 0f2f138bc3069dd7a80e05d9bf28d98cc69f411d
ref: 0f2f138bc3069dd7a80e05d9bf28d98cc69f411d
remote: https://github.com/infoPiiaf/formatize.git
revision: c6ea87540982292fbe7471e1c060fd5f736987ea
specs:
formatize (2.0.1)
RedCloth (~> 4.2)
actionpack (< 4.3)
bluecloth (~> 2.2)
formatize (2.0.0rc2)
RedCloth (>= 4.2)
actionpack (>= 4.2)
bluecloth (>= 2.2)
GIT
remote: https://github.com/infoPiiaf/gretel-trails.git
revision: 462404527fe31710c5676a774d80246fa142c1ba
specs:
gretel-trails (0.0.5)
gretel (>= 3.0)
rails (>= 3.2.0)
GIT
remote: https://github.com/thoughtbot/shoulda-matchers.git
revision: 4b160bd19ecca7f97d7ac22dccd5fde9b0da5a9f
branch: rails-5
specs:
shoulda-matchers (3.1.2)
activesupport (>= 4.2.0)
GEM
remote: https://rubygems.org/
specs:
RedCloth (4.3.2)
actionmailer (4.2.9)
actionpack (= 4.2.9)
actionview (= 4.2.9)
activejob (= 4.2.9)
actioncable (5.0.6)
actionpack (= 5.0.6)
nio4r (>= 1.2, < 3.0)
websocket-driver (~> 0.6.1)
actionmailer (5.0.6)
actionpack (= 5.0.6)
actionview (= 5.0.6)
activejob (= 5.0.6)
mail (~> 2.5, >= 2.5.4)
rails-dom-testing (~> 1.0, >= 1.0.5)
actionpack (4.2.9)
actionview (= 4.2.9)
activesupport (= 4.2.9)
rack (~> 1.6)
rack-test (~> 0.6.2)
rails-dom-testing (~> 1.0, >= 1.0.5)
rails-dom-testing (~> 2.0)
actionpack (5.0.6)
actionview (= 5.0.6)
activesupport (= 5.0.6)
rack (~> 2.0)
rack-test (~> 0.6.3)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.2)
actionview (4.2.9)
activesupport (= 4.2.9)
actionview (5.0.6)
activesupport (= 5.0.6)
builder (~> 3.1)
erubis (~> 2.7.0)
rails-dom-testing (~> 1.0, >= 1.0.5)
rails-dom-testing (~> 2.0)
rails-html-sanitizer (~> 1.0, >= 1.0.3)
activejob (4.2.9)
activesupport (= 4.2.9)
globalid (>= 0.3.0)
activemodel (4.2.9)
activesupport (= 4.2.9)
builder (~> 3.1)
activerecord (4.2.9)
activemodel (= 4.2.9)
activesupport (= 4.2.9)
arel (~> 6.0)
activesupport (4.2.9)
activejob (5.0.6)
activesupport (= 5.0.6)
globalid (>= 0.3.6)
activemodel (5.0.6)
activesupport (= 5.0.6)
activerecord (5.0.6)
activemodel (= 5.0.6)
activesupport (= 5.0.6)
arel (~> 7.0)
activesupport (5.0.6)
concurrent-ruby (~> 1.0, >= 1.0.2)
i18n (~> 0.7)
minitest (~> 5.1)
thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1)
acts_as_list (0.9.5)
acts_as_list (0.9.7)
activerecord (>= 3.0)
addressable (2.3.4)
arel (6.0.4)
addressable (2.5.2)
public_suffix (>= 2.0.2, < 4.0)
arel (7.1.4)
autoparse (0.3.3)
addressable (>= 2.3.1)
extlib (>= 0.9.15)
multi_json (>= 1.0.0)
binding_of_caller (0.7.2)
debug_inspector (>= 0.0.1)
bindex (0.5.0)
bluecloth (2.2.0)
brakeman (3.1.1)
erubis (~> 2.6)
fastercsv (~> 1.5)
haml (>= 3.0, < 5.0)
highline (~> 1.6)
multi_json (~> 1.2)
ruby2ruby (>= 2.1.1, < 2.3.0)
ruby_parser (~> 3.7.0)
sass (~> 3.0)
slim (>= 1.3.6, < 4.0)
terminal-table (~> 1.4)
brakeman (3.7.2)
builder (3.2.3)
capybara (2.13.0)
addressable
......@@ -100,7 +100,7 @@ GEM
climate_control (0.2.0)
cocaine (0.5.8)
climate_control (>= 0.0.3, < 1.0)
coderay (1.0.9)
coderay (1.1.2)
coffee-rails (4.2.2)
coffee-script (>= 2.2.0)
railties (>= 4.0.0)
......@@ -120,15 +120,15 @@ GEM
sass (>= 3.3.0, < 3.5)
compass-import-once (1.0.5)
sass (>= 3.2, < 3.5)
compass-rails (2.0.5)
compass-rails (3.0.2)
compass (~> 1.0.0)
sass-rails (< 5.1)
sprockets (< 2.13)
crack (0.4.2)
sprockets (< 4.0)
concurrent-ruby (1.0.5)
crack (0.4.3)
safe_yaml (~> 1.0.0)
daemons (1.1.9)
database_cleaner (1.4.0)
debug_inspector (0.0.3)
daemons (1.2.4)
database_cleaner (1.6.1)
delayed_job (4.1.3)
activesupport (>= 3.0, < 5.2)
delayed_job_active_record (4.1.2)
......@@ -136,32 +136,35 @@ GEM
delayed_job (>= 3.0, < 5)
diff-lcs (1.3)
docile (1.1.5)
dotenv (2.0.1)
dotenv-rails (2.0.1)
dotenv (= 2.0.1)
dotenv (2.2.1)
dotenv-rails (2.2.1)
dotenv (= 2.2.1)
railties (>= 3.2, < 5.2)
erubis (2.7.0)
execjs (2.7.0)
extlib (0.9.16)
factory_girl (4.2.0)
factory_girl (4.8.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.2.1)
factory_girl (~> 4.2.0)
factory_girl_rails (4.8.0)
factory_girl (~> 4.8.0)
railties (>= 3.0.0)
faker (1.7.3)
faker (1.8.4)
i18n (~> 0.5)
faraday (0.9.1)
faraday (0.13.1)
multipart-post (>= 1.2, < 3)
fastercsv (1.5.5)
ffi (1.9.18)
fitvidsjs_rails (1.0.0)
fitvidsjs_rails (1.1.3)
railties (>= 3.1)
font-awesome-rails (4.4.0.0)
railties (>= 3.2, < 5.0)
fullcalendar-rails (2.0.2.0)
font-awesome-rails (4.7.0.2)
railties (>= 3.2, < 5.2)
fullcalendar-rails (3.4.0.0)
jquery-rails (>= 4.0.5, < 5.0.0)
jquery-ui-rails (>= 5.0.2)
momentjs-rails (>= 2.9.0)
fuubar (2.2.0)
rspec-core (~> 3.0)
ruby-progressbar (~> 1.4)
geocoder (1.2.0)
geocoder (1.4.4)
globalid (0.4.0)
activesupport (>= 4.2.0)
gmaps4rails (2.1.2)
......@@ -178,85 +181,82 @@ GEM
uuidtools (>= 2.1.0)
gretel (3.0.9)
rails (>= 3.1.0)
haml (4.0.2)
tilt
highline (1.6.8)
hike (1.2.3)
hirb (0.7.1)
hirb (0.7.3)
i18n (0.8.6)
jquery-colorpicker-rails (1.0.3.1)
jquery-ui-rails (~> 4.0)
jquery-rails (3.0.4)
railties (>= 3.0, < 5.0)
jquery-rails (4.3.1)
rails-dom-testing (>= 1, < 3)
railties (>= 4.2.0)
thor (>= 0.14, < 2.0)
jquery-ui-rails (4.0.3)
jquery-rails
railties (>= 3.1.0)
json (1.8.6)
jwt (1.2.0)
launchy (2.3.0)
jquery-ui-rails (6.0.1)
railties (>= 3.2.16)
json (2.1.0)
jwt (1.5.6)
launchy (2.4.3)
addressable (~> 2.3)
loofah (2.0.3)
nokogiri (>= 1.5.9)
mail (2.6.6)
mime-types (>= 1.16, < 4)
method_source (0.8.1)
method_source (0.8.2)
mime-types (3.1)
mime-types-data (~> 3.2015)
mime-types-data (3.2016.0521)
mimemagic (0.3.2)
mini_portile2 (2.2.0)
mini_portile2 (2.3.0)
minitest (5.10.3)
momentjs-rails (2.17.1)
railties (>= 3.1)
multi_json (1.12.2)
multipart-post (2.0.0)
nested_form (0.3.2)
nokogiri (1.8.0)
mini_portile2 (~> 2.2.0)
nio4r (2.1.0)
nokogiri (1.8.1)
mini_portile2 (~> 2.3.0)
paperclip (5.1.0)
activemodel (>= 4.2.0)
activesupport (>= 4.2.0)
cocaine (~> 0.5.5)
mime-types
mimemagic (~> 0.3.0)
pdfkit (0.6.2)
power_assert (1.0.2)
pdfkit (0.8.2)
power_assert (1.1.0)
prettyphoto-rails (0.2.1)
jquery-rails
rails (>= 3.1)
sass-rails
uglifier
pry (0.9.12.2)
coderay (~> 1.0.5)
method_source (~> 0.8)
pry (0.10.4)
coderay (~> 1.1.0)
method_source (~> 0.8.1)
slop (~> 3.4)
pry-rails (0.3.0)
pry (>= 0.9.10)
puma (3.1.0)
rack (1.6.8)
pry-rails (0.3.6)
pry (>= 0.10.4)
public_suffix (3.0.0)
puma (3.10.0)
rack (2.0.3)
rack-test (0.6.3)
rack (>= 1.0)
rails (4.2.9)
actionmailer (= 4.2.9)
actionpack (= 4.2.9)
actionview (= 4.2.9)
activejob (= 4.2.9)
activemodel (= 4.2.9)
activerecord (= 4.2.9)
activesupport (= 4.2.9)
bundler (>= 1.3.0, < 2.0)
railties (= 4.2.9)
sprockets-rails
rails-deprecated_sanitizer (1.0.3)
activesupport (>= 4.2.0.alpha)
rails-dom-testing (1.0.8)
activesupport (>= 4.2.0.beta, < 5.0)
nokogiri (~> 1.6)
rails-deprecated_sanitizer (>= 1.0.1)
rails (5.0.6)
actioncable (= 5.0.6)
actionmailer (= 5.0.6)
actionpack (= 5.0.6)
actionview (= 5.0.6)
activejob (= 5.0.6)
activemodel (= 5.0.6)
activerecord (= 5.0.6)
activesupport (= 5.0.6)
bundler (>= 1.3.0)
railties (= 5.0.6)
sprockets-rails (>= 2.0.0)
rails-dom-testing (2.0.3)
activesupport (>= 4.2.0)
nokogiri (>= 1.6)
rails-html-sanitizer (1.0.3)
loofah (~> 2.0)
railties (4.2.9)
actionpack (= 4.2.9)
activesupport (= 4.2.9)
railties (5.0.6)
actionpack (= 5.0.6)
activesupport (= 5.0.6)
method_source
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
rake (12.1.0)
......@@ -264,30 +264,25 @@ GEM
rb-inotify (0.9.10)
ffi (>= 0.5.0, < 2)
rdoc (5.1.0)
retriable (1.4.1)
rspec-core (3.5.4)
rspec-support (~> 3.5.0)
rspec-expectations (3.5.0)
retriable (3.1.1)
rspec-core (3.6.0)
rspec-support (~> 3.6.0)
rspec-expectations (3.6.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0)
rspec-mocks (3.5.0)
rspec-support (~> 3.6.0)
rspec-mocks (3.6.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0)
rspec-rails (3.5.2)
rspec-support (~> 3.6.0)
rspec-rails (3.6.1)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec-core (~> 3.5.0)
rspec-expectations (~> 3.5.0)
rspec-mocks (~> 3.5.0)
rspec-support (~> 3.5.0)
rspec-support (3.5.0)
ruby-progressbar (1.8.1)
ruby2ruby (2.2.0)
ruby_parser (~> 3.1)
sexp_processor (~> 4.0)
ruby_parser (3.7.1)
sexp_processor (~> 4.1)
rspec-core (~> 3.6.0)
rspec-expectations (~> 3.6.0)
rspec-mocks (~> 3.6.0)
rspec-support (~> 3.6.0)
rspec-support (3.6.0)
ruby-progressbar (1.8.3)
safe_yaml (1.0.4)
sass (3.4.25)
sass-rails (5.0.6)
......@@ -296,67 +291,58 @@ GEM
sprockets (>= 2.8, < 4.0)
sprockets-rails (>= 2.0, < 4.0)
tilt (>= 1.1, < 3)
sexp_processor (4.6.0)
shoulda-matchers (2.8.0)
activesupport (>= 3.0.0)
signet (0.6.0)
signet (0.7.3)
addressable (~> 2.3)
extlib (~> 0.9)
faraday (~> 0.9)
jwt (~> 1.0)
jwt (~> 1.5)
multi_json (~> 1.10)
simple_form (3.5.0)
actionpack (> 4, < 5.2)
activemodel (> 4, < 5.2)
simplecov (0.10.0)
simplecov (0.15.1)
docile (~> 1.1.0)
json (~> 1.8)
json (>= 1.8, < 3)
simplecov-html (~> 0.10.0)
simplecov-html (0.10.0)
slim (3.0.6)
temple (~> 0.7.3)
tilt (>= 1.3.3, < 2.1)
slop (3.4.5)
sprockets (2.12.4)
hike (~> 1.2)
multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
sprockets-rails (2.3.3)
actionpack (>= 3.0)
activesupport (>= 3.0)
sprockets (>= 2.8, < 4.0)
simplecov-html (0.10.2)
slop (3.6.0)
sprockets (3.7.1)
concurrent-ruby (~> 1.0)
rack (> 1, < 3)
sprockets-rails (3.2.1)
actionpack (>= 4.0)
activesupport (>= 4.0)
sprockets (>= 3.0.0)
sqlite3 (1.3.13)
susy (1.0.9)
compass (>= 0.12.2)
sass (>= 3.2.0)
temple (0.7.6)
terminal-table (1.5.2)
susy (2.2.12)
sass (>= 3.3.0, < 3.5)
test-unit (3.2.5)
power_assert
thor (0.20.0)
thread_safe (0.3.6)
tilt (1.4.1)
timecop (0.8.0)
truncate_html (0.9.2)
tilt (2.0.8)
timecop (0.8.1)
truncate_html (0.9.3)
tzinfo (1.2.3)
thread_safe (~> 0.1)
uglifier (3.2.0)
execjs (>= 0.3.0, < 3)
uuidtools (2.1.5)
vcr (2.9.3)
web-console (2.3.0)
activemodel (>= 4.0)
binding_of_caller (>= 0.7.2)
railties (>= 4.0)
sprockets-rails (>= 2.0, < 4.0)
web-console (3.5.1)
actionview (>= 5.0)
activemodel (>= 5.0)
bindex (>= 0.4.0)
railties (>= 5.0)
webmock (1.17.4)
addressable (>= 2.2.7)
crack (>= 0.3.2)
will_paginate (3.0.4)
websocket-driver (0.6.5)
websocket-extensions (>= 0.1.0)
websocket-extensions (0.1.2)
will_paginate (3.1.6)
xpath (2.1.0)
nokogiri (~> 1.3)
zeroclipboard-rails (0.0.7)
zeroclipboard-rails (0.1.2)
railties (>= 3.1)
PLATFORMS
......@@ -368,7 +354,7 @@ DEPENDENCIES
capybara
capybara-webkit
coffee-rails
compass-rails (~> 2.0.0)
compass-rails
daemons
database_cleaner
delayed_job
......@@ -387,10 +373,10 @@ DEPENDENCIES
gretel
gretel-trails!
hirb
jquery-colorpicker-rails
jquery-rails
jquery-ui-rails
launchy
momentjs-rails
nested_form
paperclip
pdfkit
......@@ -398,11 +384,11 @@ DEPENDENCIES
prettyphoto-rails
pry-rails
puma
rails (= 4.2.9)
rails (= 5.0.6)
rdoc
rspec-rails (~> 3.5.0)
rspec-rails
sass-rails
shoulda-matchers
shoulda-matchers!
simple_form
simplecov (>= 0.4.0)
sqlite3
......@@ -412,7 +398,7 @@ DEPENDENCIES
truncate_html
uglifier
vcr (~> 2.9.3)
web-console (~> 2.0)
web-console
webmock (~> 1.17.4)
will_paginate
zeroclipboard-rails
......
......@@ -23,17 +23,17 @@
//= require jquery
//= require jquery_ujs
//= require jquery.ui.effect
//= require jquery.ui.tabs
//= require jquery.ui.accordion
//= require jquery.ui.dialog
//= require modernizr-custom
//= require html5shiv
//= require autoresize.jquery.min
//= require jquery_nested_form
//= require jquery.ui.datepicker
//= require jquery.ui.datepicker-fr
//= require jquery.ui.slider
//= require jquery-ui/effect
//= require jquery-ui/widgets/tabs
//= require jquery-ui/widgets/accordion
//= require jquery-ui/widgets/dialog
//= require jquery-ui/widgets/datepicker
//= require jquery-ui/i18n/datepicker-fr
//= require jquery-ui/widgets/slider
//= require jquery-ui-timepicker-addon
//= require jquery-ui-timepicker-fr
//= require jquery.highlight
......@@ -43,8 +43,8 @@
//= require underscore-min
//= require gmaps/google
//= require gretel.trails.hidden
//= require jquery-colorpicker
//= require prettyphoto-rails
//= require moment
//= require fullcalendar
//= require_self
......
......@@ -24,7 +24,7 @@
@import "compass";
@import "compass/reset";
@import "application/pie";
@import "susy";
@import "susyone";
@import "font-awesome";
$base-font-size : 1em;
......
......@@ -24,7 +24,7 @@
nav#admin_links {
@extend .card-block;
@include background(linear-gradient(top, $oligaa-red, $white 20%, $white 80%, $oligaa-red));
@include pie;
//@include pie;